Loading...
Searching...
No Matches
sres_soa_record Struct Reference

Start of a zone of authority record (RFC 1035). More...

`#include <sres_record.h>`

Collaboration diagram for sres_soa_record:
[legend]

## Data Fields

sres_common_t | soa_record [1]
| Common part of DNS records.
char * | soa_mname
| Primary name server.
char * | soa_rname
| Person responsible for domain.
uint32_t | soa_serial
| Version number.
uint32_t | soa_refresh
| Refresh intercal.
uint32_t | soa_retry
| Interval between refres retries.
uint32_t | soa_expire
| Upper limit on zone expiration time.
uint32_t | soa_minimum
| Minimum TTL for any record in zone.

## Detailed Description

Start of a zone of authority record (RFC 1035).

Sofia-SIP 1.12.11devel - Copyright (C) 2006 Nokia Corporation. All rights reserved. Licensed under the terms of the GNU Lesser General Public License.